> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 一括タスクを取得

> 一括タスクに含まれるインデックスタスクの進捗を返します。この API では、一括タスクは [ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents) から作成され、それを開始した API キーでのみ読み取れます。

[ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents) が `not_found` と報告した項目は、完了として数えられます。そのため、どのドキュメントも再インデックスされていなくても、`completed_items` が `total_items` と等しくなることがあります。これに気付くには、`total_items` と、そのレスポンス内の `queued` 項目の数を比較してください。再インデックスの流れについては、[再インデックスとインデックス処理の追跡](/ja/api-reference/guides/knowledge-base#track-indexing) を参照してください。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /knowledge-fs/spaces/{knowledge_base_id}/bulk-jobs/{bulk_task_id}
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
  - description: ナレッジベースに質問し、回答をストリーミングで受け取ります。
    name: クエリ
  - description: クエリが何を検索したか、またその理由を確認します。
    name: クエリ記録
  - description: リサーチの質問をバックグラウンドで実行し、その結果を取得します。
    name: リサーチタスク
  - description: ナレッジベースのドキュメントと、そのファイル、リビジョン、チャンクを読み取り、ドキュメントにメタデータのラベルを付けます。
    name: ドキュメントとチャンク
  - description: インデックス処理の追跡、キャンセル、再試行と、ナレッジベースのバックグラウンドタスクの一覧表示を行います。
    name: インデックスタスク
  - description: ドキュメントファイル、ファイルのバッチ、またはソースの削除を、完了するまで追跡します。
    name: 削除ジョブ
  - description: ナレッジベースにデータを供給するソース、その同期スケジュール、接続を管理します。
    name: ソース
  - description: ソースの即時同期、ウェブサイトのページまたはプロバイダーのアイテムのインポート、実行の追跡、キャンセル、再試行を行います。
    name: ソースの同期とインポート
  - description: ナレッジベースのモデルと検索設定の読み取りと変更、および変更によって始まる移行の追跡を行います。
    name: 設定
paths:
  /knowledge-fs/spaces/{knowledge_base_id}/bulk-jobs/{bulk_task_id}:
    get:
      tags:
        - Indexing Tasks
      summary: 一括タスクを取得
      description: >-
        一括タスクに含まれるインデックスタスクの進捗を返します。この API では、一括タスクは
        [ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents)
        から作成され、それを開始した API キーでのみ読み取れます。


        [ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents)
        が `not_found`
        と報告した項目は、完了として数えられます。そのため、どのドキュメントも再インデックスされていなくても、`completed_items` が
        `total_items` と等しくなることがあります。これに気付くには、`total_items` と、そのレスポンス内の `queued`
        項目の数を比較してください。再インデックスの流れについては、[再インデックスとインデックス処理の追跡](/ja/api-reference/guides/knowledge-base#track-indexing)
        を参照してください。
      operationId: getBulkTask
      parameters:
        - description: >-
            ナレッジベース ID です。ナレッジベースの **API アクセス** ダイアログに表示されるサービス API
            エンドポイントの最後のセグメント（`…/knowledge-fs/spaces/<knowledge base
            ID>`）です。アドレスバーでは `/datasets/new/` の後のセグメントです。
          in: path
          name: knowledge_base_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            一括タスク ID
            です。[ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents)
            のレスポンスの `bulk_job_id`
            です。[バックグラウンドタスク一覧を取得](/ja/api-reference/indexing-tasks/list-background-tasks)
            でも、`document_bulk` タスクの `id` として返されます。
          in: path
          name: bulk_task_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  summary: レスポンス例
                  value:
                    canceled_items: 0
                    completed_items: 1
                    created_at: '2026-09-06T02:30:00Z'
                    failed_item_ids: []
                    failed_items: 0
                    failures: []
                    id: c7d9e1f3-5a7b-4c9d-8e0f-1a2b3c4d5e6f
                    knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                    status: running
                    total_items: 2
                    type: document_reindex
                    updated_at: '2026-09-06T02:31:12Z'
              schema:
                properties:
                  canceled_items:
                    description: タスクがキャンセルされた項目数です。再インデックスのリクエスト時に無効化されていたドキュメントも含みます。
                    type: integer
                  completed_items:
                    description: 完了した項目、または `not_found` と報告された項目の数です。
                    type: integer
                  created_at:
                    description: 一括タスクが作成された日時（ISO 8601）です。
                    type: string
                  failed_item_ids:
                    description: >-
                      失敗した項目の
                      ID（[ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents)
                      に送信したままの値）です。インデックスタスク ID
                      ではありません。タスクとの対応付けには、そのレスポンスから保存しておいた `items`
                      のエントリを使用してください。
                    items:
                      type: string
                    type: array
                  failed_items:
                    description: タスクが失敗した項目数です。
                    type: integer
                  failures:
                    description: 失敗した項目ごとに 1 つのエントリが入ります。失敗がない場合は空です。
                    items:
                      properties:
                        document_id:
                          description: >-
                            項目の
                            ID（[ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents)
                            に送信したままの値）です。
                          type: string
                        document_title:
                          description: ドキュメントのタイトルです。不明な場合は `null` です。
                          nullable: true
                          type: string
                        error_code:
                          description: 失敗コードです。
                          type: string
                        error_message:
                          description: 失敗メッセージです。
                          type: string
                        failure:
                          allOf:
                            - $ref: '#/components/schemas/KnowledgeBaseErrorDetails'
                          description: エラー詳細です。記録されていない場合は `null` です。
                          nullable: true
                        job_id:
                          description: 項目のジョブ ID です。記録されていない場合は `null` です。
                          nullable: true
                          type: string
                      type: object
                    type: array
                  id:
                    description: 一括タスク ID です。
                    type: string
                  knowledge_space_id:
                    description: ナレッジベースの内部 ID です。パスのナレッジベース ID とは異なります。
                    type: string
                  status:
                    description: >-
                      全体の状態：


                      - `running`：少なくとも 1 つの項目がまだ処理中です。

                      - `completed`：すべての項目が完了した（`published` の手前の段階である
                      `projection_built` 以上に到達した）か、`not_found` と報告されました。

                      - `failed`：すべての項目が最終状態で、少なくとも 1 つが失敗しました。

                      - `canceled`：すべての項目が最終状態で、失敗はなく、少なくとも 1 つがキャンセルされました。


                      `completed`
                      でも、新しいリビジョンがすでにアクティブになっているとは限りません。それが重要な場合は、[インデックスタスクを取得](/ja/api-reference/indexing-tasks/get-indexing-task)
                      で各タスクが `stage: published`
                      になっているかを確認してください。その際は、[ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents)
                      から保存しておいたタスク ID を使います。
                    type: string
                  total_items:
                    description: 送信された項目数です。
                    type: integer
                  type:
                    description: >-
                      この API から作成された一括タスクでは `document_reindex`
                      です。`document_upload` と `document_delete` は、Dify
                      上の操作からのみ発生します。この API による削除では、一括タスクではなく削除ジョブが返ります。削除ジョブは
                      [削除ジョブを取得](/ja/api-reference/deletion-jobs/get-deletion-job)
                      または
                      [削除バッチを取得](/ja/api-reference/deletion-jobs/get-deletion-batch)
                      で追跡してください。
                    type: string
                  updated_at:
                    description: 一括タスクとそのインデックスタスク全体での最終変更日時（ISO 8601）です。
                    type: string
                type: object
          description: 一括タスクです。
        '400':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_request_path:
                  summary: knowledge_fs_invalid_request (path ID)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
          description: '- `knowledge_fs_invalid_request`：`bulk_task_id` の形式が正しくありません。'
        '401':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_credential:
                  summary: knowledge_fs_invalid_credential
                  value:
                    code: knowledge_fs_invalid_credential
                    message: Invalid Agent Knowledge Base service credential.
                    status: 401
                unauthorized:
                  summary: unauthorized
                  value:
                    code: unauthorized
                    message: Access token is invalid
                    status: 401
          description: >-
            - `unauthorized`：`Authorization` ヘッダーがないか、キーが不明であるか、ナレッジベースの API
            キーではありません。

            - `knowledge_fs_invalid_credential`：キーは有効ですが、キーのワークスペースにこの ID
            のナレッジベースが存在しないか、キーがワークスペースに紐付いていません。
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (rate limit)
                  value:
                    code: forbidden
                    message: >-
                      Sorry, you have reached the knowledge base request rate
                      limit of your subscription.
                    status: 403
                knowledge_fs_access_denied:
                  summary: knowledge_fs_access_denied (key scope)
                  value:
                    code: knowledge_fs_access_denied
                    message: Agent Knowledge Base operation is not allowed.
                    status: 403
                knowledge_fs_access_denied_2:
                  summary: knowledge_fs_access_denied (upstream)
                  value:
                    code: knowledge_fs_access_denied
                    failure:
                      action: contact_admin
                      category: authorization
                      code: KNOWLEDGE_FS_ACCESS_DENIED
                      message: >-
                        You do not have permission to perform this Agent
                        Knowledge Base operation.
                      retryPolicy: never
                      traceId: 8f3a2c14-9d6b-4c07-b5a1-2e7d0c93f5b2
                    message: >-
                      You do not have permission to perform this Agent Knowledge
                      Base operation.
                    status: 403
          description: >-
            -
            `knowledge_fs_access_denied`：キーのアクセス範囲がほかのナレッジベースに限定されているか、このナレッジベースで
            **API アクセス** がオフになっています。または、ナレッジベースがアクティブではありません。

            - `knowledge_fs_access_denied`：キーには、このナレッジベースのコンテンツへのアクセス権がありません。

            - `forbidden`：Dify Cloud
            で、ワークスペースがサブスクリプションで定められたナレッジベースのリクエストレート制限に達しました。読み取りを含め、すべての呼び出しがカウントされます。
        '404':
          content:
            application/json:
              examples:
                knowledge_fs_resource_not_found:
                  summary: knowledge_fs_resource_not_found
                  value:
                    code: knowledge_fs_resource_not_found
                    failure:
                      category: not_found
                      code: KNOWLEDGE_FS_NOT_FOUND
                      message: >-
                        The requested Agent Knowledge Base resource was not
                        found.
                      retryPolicy: never
                      traceId: 8f3a2c14-9d6b-4c07-b5a1-2e7d0c93f5b2
                    message: The requested Agent Knowledge Base resource was not found.
                    status: 404
                not_found:
                  summary: not_found (feature off)
                  value:
                    code: not_found
                    message: >-
                      The requested URL was not found on the server. If you
                      entered the URL manually please check your spelling and
                      try again.
                    status: 404
          description: >-
            - `knowledge_fs_resource_not_found`：この ID の一括タスクが存在しないか、別の API
            キーが開始したものか、そのドキュメントファイルのいずれかをこの API キーで読み取れません。

            - `not_found`：このデプロイ環境では Agent ナレッジベース機能が無効になっています。
        '502':
          content:
            application/json:
              examples:
                knowledge_fs_upstream_unavailable:
                  summary: knowledge_fs_upstream_unavailable
                  value:
                    code: knowledge_fs_upstream_unavailable
                    message: Agent Knowledge Base is unavailable.
                    status: 502
          description: >-
            -
            `knowledge_fs_upstream_unavailable`：時間内に応答が返らなかったか、応答を読み取れませんでした。しばらく待ってから再試行してください。
        '503':
          content:
            application/json:
              examples:
                knowledge_fs_operation_unavailable:
                  summary: knowledge_fs_operation_unavailable
                  value:
                    code: knowledge_fs_operation_unavailable
                    message: Agent Knowledge Base operation is not available.
                    status: 503
                knowledge_fs_operation_unavailable_upstream:
                  summary: knowledge_fs_operation_unavailable (temporary)
                  value:
                    code: knowledge_fs_operation_unavailable
                    failure:
                      action: retry
                      category: dependency
                      code: KNOWLEDGE_FS_UNAVAILABLE
                      message: >-
                        A service required by Agent Knowledge Base is
                        temporarily unavailable.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      A service required by Agent Knowledge Base is temporarily
                      unavailable.
                    status: 503
          description: >-
            - `knowledge_fs_operation_unavailable`：このワークスペースで Agent
            ナレッジベース機能が設定されていないか、このデプロイ環境ではこの操作を利用できません。または、リクエストの認可中に、このナレッジベースに対するキーのアクセス権が変更されました。

            -
            `knowledge_fs_operation_unavailable`：現在このリクエストを処理できません。`failure.retryPolicy`
            に従ってください。
components:
  schemas:
    KnowledgeBaseErrorDetails:
      properties:
        action:
          description: >-
            推奨される次の対応です。ある場合は
            `configure_model`、`configure_parser`、`configure_source`、`contact_admin`、`reupload`、`retry`
            のいずれかです。該当しない場合は `null` で、HTTP エラーのボディでは省略されます。
          nullable: true
          type: string
        category:
          description: >-
            失敗の種類で、`authorization`、`canceled`、`configuration`、`conflict`、`dependency`、`internal`、`not_found`、`rate_limit`、`timeout`、`validation`
            のいずれかです。
          type: string
        code:
          description: >-
            大文字のスネークケースで表される固定のエラーコードです（例：`KNOWLEDGE_FS_CONFLICT`、`SOURCE_CREDENTIAL_TEST_FAILED`）。
          type: string
        message:
          description: エラーコードまたは失敗の種類に対応する公開用メッセージです。プロバイダーのエラー詳細は公開されません。
          type: string
        parameters:
          additionalProperties: true
          description: >-
            失敗の内容を補足する最大 8 個の値です。キーは
            `attempt`、`currentRowVersion`、`documentCount`、`expectedRowVersion`、`fileSizeBytes`、`limit`、`maxFileSizeBytes`、`maxItems`、`modelType`、`providerKind`、`retryAfterSeconds`、`status`
            のいずれかです。値がない場合は `null` で、HTTP エラーのボディでは省略されます。
          nullable: true
          type: object
        retryPolicy:
          description: >-
            再試行で解決できるかどうかです。`automatic`（サービスが自動で再試行）、`manual`（呼び出し側で再試行）、`after_configuration`（先に
            Dify でナレッジベースの設定を修正）、`never`（リクエストを変更）のいずれかです。
          type: string
        stage:
          description: >-
            失敗が発生した段階です（例：`query_generation`、`credential-test`）。該当しない場合は `null`
            で、HTTP エラーのボディでは省略されます。
          nullable: true
          type: string
        traceId:
          description: >-
            管理者に問い合わせる際に伝える参照情報です。失敗の詳細を含む成功レスポンスでは `null` になることがあり、HTTP
            エラーのボディでは省略されることがあります。
          nullable: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.